For the complete documentation index, see llms.txt. This page is also available as Markdown.

References Controller V2

Get state options

get

Retrieve a list of state options from the database.

Note: The response includes a structured collection of states based on predefined configurations.

Query parameters
countryCodestringOptional

Specifies the unique code of a country. If provided, the response is filtered to return only state options for that country; otherwise, all state options are returned.

Responses
200

Returns a list of state types successfully.

application/json
get/api/demographics/v2/References/StateOptions
GET /api/demographics/v2/References/StateOptions HTTP/1.1
Accept: */*
{
  "content": [
    {
      "stateCode": "AL",
      "stateName": "Alabama",
      "isDisplayed": true,
      "countryCode": "US"
    }
  ]
}

Get company types

get

Retrieve a list of company types from the database.

Query parameters
countryCodestringOptional

Specifies the unique code of a country. If provided, the response returns only company types for that country; otherwise, all company types are returned. Default: "US".

Responses
200

Returns a list of company types successfully.

application/json
get/api/demographics/v2/References/CompanyTypes
GET /api/demographics/v2/References/CompanyTypes HTTP/1.1
Accept: */*
{
  "content": [
    {
      "id": 4,
      "type": "NP",
      "legalIdentifiersRequired": true,
      "description": "Non profit/tax exempt",
      "countryCode": "US"
    }
  ]
}

Get legal identifier types

get

Retrieve a list of legal identifier types from the database.

Query parameters
countryCodestringOptional

Country Code used to filter legal identifier types. If provided, only legal identifier types for that country are returned; otherwise, all available legal identifier types are included.

Responses
200

Returns a list of legal identifier types successfully.

application/json
get/api/demographics/v2/References/LegalIdentifierTypes
GET /api/demographics/v2/References/LegalIdentifierTypes HTTP/1.1
Accept: */*
{
  "content": [
    {
      "type": "TIN",
      "description": "TaxIDNumber/EIN",
      "isVatIdentifier": true,
      "countryCode": "US"
    }
  ]
}

Last updated

Was this helpful?